Hello Guest, Welcome to Apnea Board !
As a guest, you are limited to certain areas of the board and there are some features you can't use.
To post a message, you must create a free account using a valid email address.

or Create an Account


New Posts   Today's Posts

Sleepyhead update question - Error showing trying to go from v0.9.8-1 to current
#1
Sleepyhead update question - Error showing trying to go from v0.9.8-1 to current
I used the sleepyhead software a lot in my first 3-6 months while getting a handle on my equipment and proper settings, but haven't looked at it much in the last year and a half.

Today, I uploaded 300 plus days of data, and see that the current software version is now v1+, while mine is v0.9.8

I tried 'check for updates', and received the following message:

SleepyHead v0.9.8-1
There was an error completing a network request
(error downloading https://sourceforge.net/projects/sleepyh...l/download - server replied: Not Found)

My guess is that the pre version 1 is no longer supported, which would make sense, so am trying to find the best way to keep all my data and move to the more current version.

I did a few searches to see if I could find a thread or a guide about upgrading to SleepyHead version 1.0, but haven't yet located one.

I did find a note on the SleepyHead web page to uninstall older versions before installing the software from that page.  Happy to do so, but want to understand how to deal with my existing data.

Can some one point me in the right direction?
Post Reply Post Reply






Donate to Apnea Board  
#2
RE: Sleepyhead update question - Error showing trying to go from v0.9.8-1 to current
The online update never worked. It is a feature to be added some day. You'll need to do a manual update.
Click this link to get the latest: http://www.apneaboard.com/sleepyhead or go here: SleepyHead


Make a copy of your existing Sleepyhead data folder (just in case) and run Beta-2. It will locate your old data and prompt you to convert it. Once it does you cannot use that data with 0.9.8. That's why you should make a backup of the folder.
Using FlashAir W-03 SD card in machine. You can access your data through wifi with FlashPAP or Sleep Master utilities.

I wanted to learn Binary so I enrolled in Binary 101. I seemed to have missed the first four courses. Big Grinnie

Stick it to the man, Download OSCAR and take back control of your data!
Post Reply Post Reply
#3
RE: Sleepyhead update question - Error showing trying to go from v0.9.8-1 to current
I think that if you are using Windows or Mac, you do have to uninstall the old version, but before you do that, make a backup copy of your current data to a new folder. Leave the current data in its current folder for the new version to find. The new version will read your old data and convert it to the new database format, so your history remains continuous. It will use the same folder as the old data, hence the need for you to make a backup copy. It's all pretty automatic.

The automatic update to new code has never worked, to my knowledge. You should download the new version (1.0.0-beta) by following the SleepyHead link at the top of this page in the black menu bar. That will take you to JediMark's download page, and link you to a page maintained by the Apnea Board, if you wish.
Post Reply Post Reply
#4
RE: Sleepyhead update question - Error showing trying to go from v0.9.8-1 to current
Excellent - thank you for the help!
Post Reply Post Reply






Donate to Apnea Board  
#5
RE: Sleepyhead update question - Error showing trying to go from v0.9.8-1 to current
The "uninstall" message is aimed at Beta-1. I am running both 0.9.8 and Beta-2 without problems. One note; Beta-2 has a different data format from version 0.9.8 so if you wish to use both versions, you will need to have separate SleepyHead Data directories. Beta-2 will prompt you to format your existing data to the current version.
Crimson Nape
Apnea Board Moderator
www.ApneaBoard.com
___________________________________
Useful Links -or- When All Else Fails:
The Guide to Understanding OSCAR
OSCAR Chart Organization
Attaching Images and Files on Apnea Board
Apnea Helpful Tips

INFORMATION ON APNEA BOARD FORUMS OR ON APNEABOARD.COM SHOULD NOT BE CONSIDERED AS MEDICAL ADVICE. ALWAYS SEEK THE ADVICE OF A PHYSICIAN BEFORE SEEKING TREATMENT FOR MEDICAL CONDITIONS, INCLUDING SLEEP APNEA. INFORMATION POSTED ON THE APNEA BOARD WEB SITE AND FORUMS ARE PERSONAL OPINION ONLY AND NOT NECESSARILY A STATEMENT OF FACT.
Post Reply Post Reply


Possibly Related Threads...
Thread Author Replies Views Last Post
  downloaded update now Oscar won't open slumberous1 4 202 05-16-2022, 08:45 AM
Last Post: Crimson Nape
  OSCAR error reading AirSense 10 Data mjholdeman 2 186 03-26-2022, 06:03 PM
Last Post: mjholdeman
  Oscar Oximeter data chart sections NOT showing in Print Report? machapelle 4 157 03-20-2022, 05:45 PM
Last Post: GuyScharf
  Daily graphs not showing values inckeith 11 311 03-13-2022, 03:31 AM
Last Post: inckeith
  error building OSCAR from source: unknown warning option timpani 20 756 03-11-2022, 12:50 AM
Last Post: Jeff8356
  spelling error wiki page Cornelius 2 142 03-09-2022, 09:49 AM
Last Post: Jeff8356
Sad OSCAR 1.3.1 on Linux not showing new data? Gooserider 21 490 02-03-2022, 12:07 AM
Last Post: Gooserider


New Posts   Today's Posts






About Apnea Board

Apnea Board is an educational web site designed to empower Sleep Apnea patients.